## org.eclipse.emf.ecoretools.tabbedproperties.providers
Class TabbedPropertiesLabelProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
          org.eclipse.emf.ecoretools.tabbedproperties.providers.TabbedPropertiesLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

    public class TabbedPropertiesLabelProvider

extends org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

A Label Provider that formats the provided String text The text will be displayed like: `FEATURENAME : CLASSNAME - MODELNAME`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.ColorProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontAndColorProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontProvider`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`adapterFactory, defaultBackground, defaultFont, defaultForeground, isFireLabelUpdateNotifications, labelProviderListeners`

Constructor Summary
`TabbedPropertiesLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` Constructor

Method Summary
`java.lang.String` `getText(java.lang.Object object)` This method overrides the AdapterFactoryLabelProvider getText method in order to obtain the desired label values.

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`addListener, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getColorFromObject, getColumnImage, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getDefaultImage, getFont, getFont, getFontFromObject, getForeground, getForeground, getImage, getImageFromObject, isFireLabelUpdateNotifications, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabbedPropertiesLabelProvider

    public TabbedPropertiesLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  Constructor

  Parameters:
    `adapterFactory` -

Method Detail

### getText

    public java.lang.String getText(java.lang.Object object)

  This method overrides the AdapterFactoryLabelProvider getText method in order to obtain the desired label values. The returned string will have the StructuralFeature with a description of its EcoreClass and its model.

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`
  See Also:
    `AdapterFactoryLabelProvider.getText(Object)`

Copyright 2007 Anyware Technologies. All Rights Reserved.